function [ Rssp,Rppp,Rpsp,psimp,deltamp] = NaTloustce(H, ns, NAu, nh2o, Ni, fi1r, la,d)

hranol = {@PKSA, @PKPA60, @PKPA90};

for ip=1:length(d)
for im=1:length(la)
N=[NAu(im)];
if Ni==2
[Rssp(im),Rppp(im),Rpsp(im),psimp(ip,im),deltamp(ip,im)]=hranol{H}(ns(im),N,nh2o(im),d(ip),fi1r,la(im));
end

if Ni==1
[Rssp(im),Rppp(im),Rpsp(im),psimp(ip,im),deltamp(ip,im)]=hranol{H}(ns(im),N,1,d(ip),fi1r,la(im));
end
end
psimp(ip,:)=psimp(ip,:)*180/pi;deltamp(ip,:)=deltamp(ip,:)*180/pi;
end


figure(1)
 subplot(2,1,1)

plot(la,psimp,'LineWidth',2),title(''),xlabel('nm'),ylabel('psi')
 legend(strcat('dAu =',num2str(d)))

hold on
grid on
subplot(2,1,2)
plot(la,deltamp,'LineWidth',2),xlabel('nm'),ylabel('delta')
hold on
grid on