function [ Rssp,Rppp,Rpsp,psimp,deltamp] = NaUhluVrstvy(H, ns, N,NAu, nh2o, Ni, fi1r, la,d)

hranol = {@PKSA, @PKPA60, @PKPA90};

for ip=1:length(fi1r)
for im=1:length(la)
N(1)=NAu(im);

if Ni==2
[Rssp(im),Rppp(im),Rpsp(im),psimp(ip,im),deltamp(ip,im)]=hranol{H}(ns(im),N,nh2o(im),d,fi1r(ip),la(im));

end

if Ni==1
[Rssp(im),Rppp(im),Rpsp(im),psimp(ip,im),deltamp(ip,im)]=hranol{H}(ns(im),N,1,d,fi1r(ip),la(im));
end
end
psimp(ip,:)=psimp(ip,:)*180/pi;deltamp(ip,:)=deltamp(ip,:)*180/pi;
end
fip=fi1r*180/pi;

figure(1)
subplot(2,1,1)
plot(la,psimp,'LineWidth',2),title(''),xlabel('nm'),ylabel('psi')
hold on
grid on
 legend(strcat('\phi =',num2str(fip')))
subplot(2,1,2)
plot(la,deltamp,'LineWidth',2),title(''),xlabel('nm'),ylabel('delta')
hold on
grid on 