%PKSA
function [Rss,Rpp,Rps,psi,delta,RP,RS,cosF,cosFf,iV0s,iV0p]=PKSA(nh,n,nf,d,radian,lambda   )
%nazev: Plasmon, Kretschmann, Sphere, Angle (zavislost na uhlu dopadu)

% nh / index lomu polokoule
% n / vektor index lomu, d / vektor tloutk vrstev
% nf / index lomu prosted za soustavou
% radian / hel dopadu v rad.
% lambda...vlnova delka svetla v nm

[ rs1, ts1, rp1, tp1 ] = Fresnel( nh, nh, nh, 0, 0, lambda );
[ rs2, ts2, rp2, tp2 ,RP,RS,cosF,cosFf,iV0s,iV0p] = Fresnel( nh, n, nf, d, radian, lambda );
[ rs3, ts3, rp3, tp3 ] = Fresnel( nh, nf, nh, 0, 0, lambda );
%rss=ts1.*rs2;
%rpp=tp1.*rp2;
rss=ts1.*rs2.*ts3;
rpp=tp1.*rp2.*tp3;

% rss=rs2;
% rpp=rp2;

Rsa=rss.*conj(rss);Rpa=rpp.*conj(rpp);
Rss=Rsa;Rpp=Rpa;
Rps=Rpp./Rss;
psi=atan(abs(rpp)./abs(rss));
delta=angle(rpp)-angle(rss);
%delta=imag(log(rpp))-imag(log(rss));
RP;
RS;