

clear
clc

%% opt konst
NAuP=load('c:\skola\!!Doktorat\Program\spektral\Au palik.txt');T='Au';T1='Palik';%ev,n,k
NAuV=load('c:\skola\!!Doktorat\Program\spektral\Au.txt');%eV,n,k,   Valenda
NAuj1=load('c:\skola\!!Doktorat\Program\spektral\Au jaw1.txt');
NAuj2=load('c:\skola\!!Doktorat\Program\spektral\Au jaw2.txt');
NAuj3=load('c:\skola\!!Doktorat\Program\spektral\Au jaw3.txt');
NAumy=load('c:\skola\!!Doktorat\Program\spektral\Au my.txt');

NCu=load('c:\skola\!!Doktorat\Program\spektral\Cu data.txt');

NITO2=load('c:\skola\!!Doktorat\Program\spektral\ITO2.txt');

%% Vstupni hodnoty

Nm=NAuj3;                          % opt konst kovove vrsty: dosadit jednu ze sekce vyse
np=1.6   ;                         % N proteinu
la=400:1:800;                      % vlnove delky [nm], min:krok:max


d=[40 10 0];N=[1 np 1.4]  ;         %tloustky a Index lomu pro jednotlive vrstvy: prvni vrstva zlato
                                   %(spektralne zavysle opt parametry), dalsi vrstvy s konstantnim indexem lomu

                                   
                                   
                                   
fip=75:5:85 ;                      % Uhel dopadu na elipsometru [deg],       
%d=[40:5:40]';                      % posloupnost tloustek zlat: 
%kdyz length(fip)==1 tak zavislost na tloustce a naopak



Ni=2   ;                           %prostredi za zlatem: 1 pro vzduch, 2 pro vodu
Ns=1 ;                             %N hranolu: 1 pro bk7, 2 pro sf11
H=1 ;                              %Hranol: 1 pro pulvalec, 2 pro 60deg hranol, 3 pro 90deg hranol


%% interpolace

xxx=1239.81./la; 
lam=la/1000;

Nbk7=sqrt( 1 + (1.03961212*lam.^2./(lam.^2-0.00600069867)) + 0.231792344*lam.^2./(lam.^2-0.0200179144) + 1.01046945*lam.^2./(lam.^2-103.560653) );
Nsf11=sqrt(1+1.73759695./(1-0.013188707./lam.^2)+0.313747346./(1-0.0623068142./lam.^2)+1.89878101./(1-155.23629./lam.^2));
nh2o=1.31848+6.662./(la-129.2)+0.002;

if Ns==1
ns=Nbk7;
end
if Ns==2
ns=Nsf11;
end

fi1r=fip*pi/180;

xAu=Nm(:,1);nAu=Nm(:,2);kAu=Nm(:,3);
nAu=interp1(xAu,nAu,xxx);kAu=interp1(xAu,kAu,xxx);            %interpolace n,k zlata
for ix=1:length(xxx);   
xxx(ix)=xxx(ix)+ix*.000000001; %oprava pro stejn xD1
end
NAu=(nAu+1i*kAu); 

%% zavislost na tloustce zlata
 if iscolumn(d)==1 && length(fip)==1 %|| length(d)==1
[Rssp,Rppp,Rpsp,psimp,deltamp] = NaTloustce(H, ns, NAu, nh2o, Ni, fi1r, la,d);
end
  
 %% zavislost na uhlech
 figure(1)
 if length(d)==1 && length(fip)>1 
[Rssp,Rppp,Rpsp,psimp,deltamp] = NaUhlu(H, ns, NAu, nh2o, Ni, fi1r, la ,d);   
end   

 %% zavislost na uhlech pro vrstvy na zlate
 
 if isrow(d)==1 && length(d)>1     
[ Rssp,Rppp,Rpsp,psimp,deltamp] = NaUhluVrstvy(H, ns, N,NAu, nh2o, Ni, fi1r, la,d);  
 end

